Bug 117059 - /bin vs /usr/bin explanation
/bin vs /usr/bin explanation
Product: Red Hat Academy
Classification: Retired
Component: RHA030 Curriculum (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bowe Strickland
Depends On:
  Show dependency treegraph
Reported: 2004-02-27 15:45 EST by Johnathan Kupferer
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-07 12:30:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnathan Kupferer 2004-02-27 15:45:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Workbook 2. Filesystem Basics
Chapter 2. Important Directories
Discussion: The /bin and /usr/bin Command Directories

It states,
    "There are two of these to make it easier for administrators
     to organize those commands which must always be present on
     the system separately from those that might be made
     communally available across a network."

But, as I understand, these directories are separated primarily
because the executables in /bin and /sbin most be present for the init
process to bootstrap the machine.  This makes in convienent to put
/usr on a network share, but there are many other reasons to seperate

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Brad Smith 2004-06-14 15:54:49 EDT
The FHS says that /bin is for utilities that are necessary to use the
system when no non-root partitions are mounted eg in single-user mode
and /usr/bin is for everything else that isn't third-party

I read this as being almost what Johnathan is suggesting, but covering
more than just the utilities necessary to boot the system. For
example, vi is not necessary to boot the system, but is in /bin. I
suggest the following revised text:

Most system commands are stored as binary files in a machine-readable
format. Commands appropriate for use by ordinary users are usually
placed in the /bin or /usr/bin binary directories. Core utilities like
ls, cd, cp, mv and the vi text editor, without which the system would
not be usable, go in /bin. Supplementary utilities like compilers,
your web browser and office suite go in /usr/bin, which can be made
available to other systems over the network.

Think of /bin and /usr/bin as unprivileged command directories, since
no special privileges are required to use the commands found in them.

If no one has commented otherwise withing 24 hours I'll go ahead and
update the courseware.

Comment 2 Brad Smith 2004-06-16 20:58:57 EDT
Change committed to CVS.

Note You need to log in before you can comment on or make changes to this bug.